package com.hzya.frame.sys.tableCache.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.tableCache.dao.ITableCacheMapper;
import com.hzya.frame.sys.tableCache.entity.TableCache;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 表缓存表  dao
 * @tableName: sys_table_cache
 * @entityName: TableCache
 * @author: gjh
 * @history:1.0
 */
@Service
public class TableCacheMapperImpl extends MybatisGenericDao<TableCache, String> implements ITableCacheMapper {

    @Override
    public TableCache entity_get(String id) {

        TableCache o = (TableCache) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<TableCache> entity_list_base(TableCache entity) {
        List<TableCache> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(TableCache entity) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<TableCache> entity_list_like(TableCache entity) {
        List<TableCache> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<TableCache> entity_list_or(TableCache entity) {
        List<TableCache> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public TableCache entity_insert(TableCache entity) {
        entity = super.save(getSqlIdPrifx() + "entity_insert", entity);
        return entity;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(TableCache entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(TableCache entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(TableCache entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(TableCache entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }
}
